# Uses of Interface
org.apache.wiki.url.URLConstructor

Packages that use URLConstructor
Package
Description
org.apache.wiki
The chief package of JSPWiki.
org.apache.wiki.url
Provides the URL generation routines.

## Uses of URLConstructor in org.apache.wiki

Methods in org.apache.wiki that return URLConstructor
Modifier and Type
Method
Description
`URLConstructor`
WikiEngine.`getURLConstructor()`
Deprecated.
use `getManager( URLConstructor.class )` instead.

## Uses of URLConstructor in org.apache.wiki.url

Classes in org.apache.wiki.url that implement URLConstructor
Modifier and Type
Class
Description
`class`
`DefaultURLConstructor`
Implements the default URL constructor using links directly to the JSP pages.
`class`
`ShortURLConstructor`
Provides a way to do short URLs of the form /wiki/PageName.
`class`
`ShortViewURLConstructor`
A specific URL constructor that returns easy-to-grok URLs for VIEW and ATTACH contexts, but goes through JSP pages otherwise.